# std::tr1::random_device Class Reference
[Random Number Generators]

List of all members.

## Detailed Description

A standard interface to a platform-specific non-deterministic random number generator (if any are available).

Definition at line 1410 of file random.

## Public Types

- typedef unsigned int result_type

## Public Member Functions

- double entropy () const
- result_type max () const
- result_type min () const
- result_type operator() ()
- random_device (const std::string &__token="mt19937")

The documentation for this class was generated from the following file:

- random